CREATE TABLE hrc_evt_handlers (
    EVENT_HANDLER_ID            NUMBER(18, 0) ,
    EVENT_TYPE_ID               NUMBER(18, 0)     NOT NULL,
    CONSTRUCTION_METHOD_ID      NUMBER(18, 0) ,
    HANDLER_TYPE                VARCHAR2(120)     NOT NULL,
    PRODUCT_CODE                VARCHAR2(120) ,
    PRODUCT_LABEL               VARCHAR2(320) ,
    CLASS_NAME                  VARCHAR2(960) ,
    PROPAGATE_FUSION_CONTEXT    VARCHAR2(120) ,
    SERVICE_URL                 VARCHAR2(4000),
    CSF_KEY                     VARCHAR2(4000),
    MESSAGE_ENCRYPTION_KEY      VARCHAR2(4000),
    OWSM_POLICY                 VARCHAR2(4000),
    NOTIFY_FLAG                 VARCHAR2(120) ,
    ENABLED                     VARCHAR2(120)     NOT NULL,
    MODULE_ID                   VARCHAR2(128) ,
    ENTERPRISE_ID               NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJ_CONDITION_ID            NUMBER(18, 0) ,
    SGUID                       VARCHAR2(128) ,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    EVENT_HANDLER_ID            NUMBER(18, 0) ,
    EVENT_TYPE_ID               NUMBER(18, 0)     NOT NULL,
    CONSTRUCTION_METHOD_ID      NUMBER(18, 0) ,
    HANDLER_TYPE                VARCHAR2(120)     NOT NULL,
    PRODUCT_CODE                VARCHAR2(120) ,
    PRODUCT_LABEL               VARCHAR2(320) ,
    CLASS_NAME                  VARCHAR2(960) ,
    PROPAGATE_FUSION_CONTEXT    VARCHAR2(120) ,
    SERVICE_URL                 VARCHAR2(4000),
    CSF_KEY                     VARCHAR2(4000),
    MESSAGE_ENCRYPTION_KEY      VARCHAR2(4000),
    OWSM_POLICY                 VARCHAR2(4000),
    NOTIFY_FLAG                 VARCHAR2(120) ,
    ENABLED                     VARCHAR2(120)     NOT NULL,
    MODULE_ID                   VARCHAR2(128) ,
    ENTERPRISE_ID               NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    SGUID                       VARCHAR2(128) ,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    OBJ_CONDITION_ID            NUMBER(18, 0) ,
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hrc_evt_handlers PRIMARY KEY (EVENT_HANDLER_ID, EVENT_HANDLER_ID)
);
